close
    I am having trouble with skycaddie

    How do allow it to download in Mozilla Firefox

    0  Views: 219 Answers: 1 Posted: 10 years ago

    1 Answer

    On the PC, the SkyCaddie requires Internet Explorer 6.0 or later.

    Sorry lovers of Firefox or Chrome


    Top contributors in Uncategorized category

     
    ROMOS
    Answers: 18064 / Questions: 153
    Karma: 1101K
     
    Colleen
    Answers: 47272 / Questions: 115
    Karma: 953K
     
    country bumpkin
    Answers: 11324 / Questions: 160
    Karma: 838K
     
    Benthere
    Answers: 2393 / Questions: 30
    Karma: 759K
    > Top contributors chart
    446705
    questions
    717115
    answers
    675105
    users